Main Page Modules Alphabetical List Data Structures File List Data Fields Globals # IxOsServicesMemMap.h File Reference Header file for memory access maps. More... Go to the source code of this file.
## Data Structures
struct | _IxOsServMemoryMap
## Defines
#define | IX_OSSERV_QMGR_MAP_SIZE
| Queue Manager map size.
#define | IX_OSSERV_EXP_REG_MAP_SIZE
| Exp Bus Registers map size.
#define | IX_OSSERV_UART1_MAP_SIZE
| UART1 map size.
#define | IX_OSSERV_UART2_MAP_SIZE
| UART2 map size.
#define | IX_OSSERV_PMU_MAP_SIZE
| PMU map size.
#define | IX_OSSERV_OSTS_MAP_SIZE
| OS Timers map size.
#define | IX_OSSERV_NPEA_MAP_SIZE
| NPE A map size.
#define | IX_OSSERV_NPEB_MAP_SIZE
| NPE B map size.
#define | IX_OSSERV_NPEC_MAP_SIZE
| NPE C map size.
#define | IX_OSSERV_ETHA_MAP_SIZE
| Eth A map size.
#define | IX_OSSERV_ETHB_MAP_SIZE
| Eth B map size.
#define | IX_OSSERV_USB_MAP_SIZE
| USB map size.
#define | IX_OSSERV_GPIO_MAP_SIZE
| GPIO map size.
#define | IX_OSSERV_EXP_BUS_MAP_SIZE
| Expansion bus map size.
#define | IX_OSSERV_EXP_BUS_CS1_MAP_SIZE
| CS1 map size.
#define | IX_OSSERV_EXP_BUS_CS4_MAP_SIZE
| CS4 map size.
#define | IX_OSSERV_MEM_MAP(requestedPhysicalAddress, size)
| Maps an I/O memory zone.
#define | IX_OSSERV_MEM_UNMAP(requestedVirtualAddress)
| unmaps a previously mapped I/O memory zone
#define | IX_OSSERV_MMAP_VIRT_TO_PHYS_TRANSLATION(virtualAddress)
| provides a mapped memory-aware virtual to physical translation
## Typedefs
typedef _IxOsServMemoryMap | IxOsServMemoryMap
## Enumerations
enum | IxOsServMapEntryType { IX_STATIC_MAP, IX_DYNAMIC_MAP }
enum | IxOsServMapCoherencyType { IX_BE_MAP, IX_LE_AC_MAP, IX_LE_DC_MAP }
## Functions
PUBLIC void * | ixOsServMemMap (UINT32 physicalAddress, UINT32 size, UINT32 coherency)
PUBLIC void | ixOsServMemUnmap (UINT32 virtualAddress, UINT32 coherency)
PUBLIC UINT32 | ixOsServMemVirtToPhys (UINT32 virtualAddress, UINT32 coherency)
void | ixOsServLinuxMemMap (IxOsServMemoryMap *map)
void | ixOsServLinuxMemUnmap (IxOsServMemoryMap *map)
## Detailed Description Header file for memory access maps. Version: Revision 1.21 -- Intel Copyright Notice -- Copyright 1999-2003 Intel Corporation All Rights Reserved. The source code contained or described herein and all documents related to the source code ("Material") are owned by Intel Corporation or its suppliers or licensors. Title to the Material remains with Intel Corporation or its suppliers and licensors. The Material is protected by worldwide copyright and trade secret laws and treaty provisions. No part of the Material may be used, copied, reproduced, modified, published, uploaded, posted, transmitted, distributed, or disclosed in any way except in accordance with the applicable license agreement . No license under any patent, copyright, trade secret or other intellectual property right is granted to or conferred upon you by disclosure or delivery of the Materials, either expressly, by implication, inducement, estoppel, except in accordance with the applicable license agreement. Unless otherwise agreed by Intel in writing, you may not remove or alter this notice or any other notice embedded in Materials by Intel or Intel's suppliers or licensors in any way. For further details, please see the file README.TXT distributed with this software. -- End Intel Copyright Notice -- Definition in file IxOsServicesMemMap.h. ## Enumeration Type Documentation
enum IxOsServMapCoherencyType
  | Enumeration values:
  IX_BE_MAP | Set map coherency type to BE map.
  IX_LE_AC_MAP | Set map coherency type to AC map.
  IX_LE_DC_MAP | Set map coherency type to DC map.
Definition at line 137 of file IxOsServicesMemMap.h.
enum IxOsServMapEntryType
  | Enumeration values:
  IX_STATIC_MAP | Set map entry type to static map.
  IX_DYNAMIC_MAP | Set map entry type to dynamic map.
Definition at line 131 of file IxOsServicesMemMap.h.
Automatically generated from sources. © Intel Corp. 2003